(function ($) {
    "use strict";

    var ChartData = {
        labels: [
            window.JLToken.queue_label,
            window.JLToken.served_label,
            window.JLToken.no_show_label,
            window.JLToken.serving_label,
        ],
        datasets: [{
            label: window.JLToken.today_label,
            backgroundColor: [
                'rgb(0, 188, 212)',
                'rgb(255, 82, 82)',
                'rgb(255, 167, 38)',
                'rgb(102, 187, 106)',
            ],
            data: [window.JLToken.counts.today_queue, window.JLToken.counts.today_served, window.JLToken.counts.today_noshow, window.JLToken.counts.today_serving],
            hoverOffset: 4,
        }]
    };

    const LineChartData = {
        labels: ['00:00', '6:00', '12:00', '18:00', '24:00'],
        datasets: [{
            label: window.JLToken.today_label,
            data: window.JLToken.chart_data.today,
            borderColor: ['rgb(54, 162, 235)',],
            backgroundColor: ['rgb(255,255,255)'],
            pointStyle: 'circle',
            pointRadius: 10,
            pointHoverRadius: 15,

        },
        {
            label: window.JLToken.yesterday_label,
            data: window.JLToken.chart_data.yesterday,
            borderColor: ['rgb(255, 99, 132)',],
            backgroundColor: ['rgb(255,255,255)'],
            pointStyle: 'circle',
            pointRadius: 10,
            pointHoverRadius: 15
        }
        ]
    };

    var ctx = document.getElementById("avg").getContext("2d");
    window.myBar = new Chart(ctx, {
        type: 'pie',
        data: ChartData,
        options: {
            maintainAspectRatio: false,
            radius: 100,
            responsive: true,
        }
    });

    var c2 = document.getElementById("chart2").getContext("2d");
    window.myBar2 = new Chart(c2, {
        type: 'line',
        data: LineChartData,
        options: {
            maintainAspectRatio: false,
            responsive: true,
            scales: {
                y: {
                    min: 0,
                    title: {
                        display: true,
                        text: window.JLToken.number_of_tokens_label
                    },
                    ticks: {
                        stepSize: 1,
                    }
                },
                x: {
                    title: {
                        display: true,
                        text: window.JLToken.time_label
                    },
                }
            },
        }
    });
})(jQuery)