(function ($) {
    "use strict";

    $('body').addClass('loaded');
    $('.modal').modal();

    let service;

    $('.btn-queue').on('click', (e) => {
        e.preventDefault();
        $('.name').html('');
        $('.email').html('');
        $('.phone').html('');

        service = JSON.parse(e.target.dataset.service);

        if (service.ask_email == 1 || service.ask_name == 1 || service.ask_phone == 1) {
            if (service.ask_email == 1) $('#email_tab').show();
            else $('#email_tab').hide();
            if (service.ask_name == 1) $('#name_tab').show();
            else $('#name_tab').hide();
            if (service.ask_phone == 1) $('#phone_tab').show();
            else $('#phone_tab').hide()
            $('#modal_button').removeAttr('disabled');
            $('#modal1').modal('open');
        } else {
            $('body').removeClass('loaded');
            let data = {
                action: window.JLToken.create_token_url.split('|')[0],
                _wpnonce: window.JLToken.create_token_url.split('|')[1],
                service_id: service.id,
                with_details: false,
            }
            createToken(data);
        }
    });

    $('#details_form').validate({
        rules: {
            name: {
                required: function (element) {
                    return service.name_required == "1";
                },
            },
            email: {
                required: function (element) {
                    return service.email_required == "1";
                },
                email: true
            },
            phone: {
                required: function (element) {
                    return service.phone_required == "1";
                },
                number: true
            },
        },
        errorElement: 'div',
        errorPlacement: function (error, element) {
            var placement = $(element).data('error');
            if (placement) {
                $(placement).append(error)
            } else {
                error.insertAfter(element);
            }
        },
        submitHandler: function (form) {
            $('#modal_button').attr('disabled', 'disabled');
            $('body').removeClass('loaded');
            let data = {
                action: window.JLToken.create_token_url.split('|')[0],
                _wpnonce: window.JLToken.create_token_url.split('|')[1],
                service_id: service.id,
                name: $('#name').val(),
                email: $('#email').val(),
                phone: $('#phone').val(),
                with_details: true,
            }
            createToken(data);
        }
    });

    function createToken(data) {
        $('#modal1').modal('close');
        $.ajax({
            type: "POST",
            url: window.JLToken.url,
            data: data,
            cache: false,
            success: function (response) {
                printToken(response);
                $('#modal1').modal('close');
                $('#phone').val(null);
                $('#email').val(null);
                $('#name').val(null);
                $('body').addClass('loaded');
            },
            error: function (e) {
                let response = e.responseJSON;
                if ((e.status == 422) && (response.name || response.email || response.phone)) {
                    $('#modal_button').removeAttr('disabled');
                    if (response.name) {
                        $('.name').html('<span class="text-danger errbk">' + response.name[Object.keys(response.name)[0]] + '</span>')
                    }
                    if (response.email) {
                        $('.email').html('<span class="text-danger errbk">' + response.email[Object.keys(response.email)[0]] + '</span>')
                    }
                    if (response.phone) {
                        $('.phone').html('<span class="text-danger errbk">' + response.phone[Object.keys(response.phone)[0]] + '</span>')
                    }
                    $('body').addClass('loaded');
                    $('#modal1').modal('open');
                } else {
                    $('body').addClass('loaded');
                    $('#modal1').modal('close');
                    M.toast({
                        html: window.JLToken.something,
                        classes: "toast-error"
                    });
                }
            }
        });
    }

    function printToken(data) {
        let html = `
                <p style="font-size: 15px; font-weight: bold; margin-top:-15px;">${window.JLToken.bloginfo}
                </p>
                <p style="font-size: 10px; margin-top:-15px;">${data.service.name}</p>
                <h3 style="font-size: 20px; margin-bottom: 5px; font-weight: bold; margin-top:-12px; margin-bottom:16px;">${data.queue.letter + '-' + data.queue.number}</h3>
                <p style="font-size: 12px; margin-top: -16px;margin-bottom: 27px;">${window.JLToken.date}</p>
                <div style="margin-top:-20px; margin-bottom:15px;" align="center">
                </div>
                <p style="font-size: 10px; margin-top:-12px;">${window.JLToken.turn_label}</p>
                <p style="font-size: 10px; margin-top:-12px;">${window.JLToken.customer_waiting_label}: ${data.waiting} 
                </p>
                <p style="text-align:left !important;font-size:8px;"></p>
                <p style="text-align:right !important; margin-top:-23px;font-size:8px;"></p>`;

        $('#printarea').html(html);
        $('body').addClass('loaded');
        window.print();
    }
})(jQuery)