(function ($) {
    "use strict";

    $('#starting_date,#ending_date,#date').datepicker({
        format: 'yyyy-mm-dd'
    });

    var starting_date = $('#starting_date').val();
    var ending_date = $('#ending_date').val();

    if (starting_date == "" || ending_date == "") {
        $('#gobtn').attr('disabled', 'disabled');
    } else {
        $('#gobtn').removeAttr('disabled');
    }

    $('#starting_date,#ending_date').on('change', function (event) {
        let starting_date = $('#starting_date').val();
        let ending_date = $('#ending_date').val();

        if (starting_date == "" || ending_date == "") {
            $('#gobtn').attr('disabled', 'disabled');
        } else {
            $('#gobtn').removeAttr('disabled');
        }
    });
    $('#date').on('change', function (event) {
        var date = $('#date').val();

        if (date == "") {
            $('#gobtn').attr('disabled', 'disabled');
        } else {
            $('#gobtn').removeAttr('disabled');
        }
    });

    $('#queue_list_report_form').validate({
        rules: {
            starting_date: {
                required: true,
            },
            ending_date: {
                required: true,
            },
        },
        errorElement: 'div',
        errorPlacement: function (error, element) {
            var placement = $(element).data('error');
            if (placement) {
                $(placement).append(error)
            } else {
                error.insertAfter(element);
            }
        }
    });

    $('#monthly_form').validate({
        rules: {
            starting_date: {
                required: true,
            },
            ending_date: {
                required: true,
            },
        },
        errorElement: 'div',
        errorPlacement: function (error, element) {
            var placement = $(element).data('error');
            if (placement) {
                $(placement).append(error)
            } else {
                error.insertAfter(element);
            }
        }
    });

    $('.dataTable').DataTable({
        "responsive": true,
        "searching": false,
        "autoHeight": false,
        "scrollX": true,
        "lengthMenu": [
            [10, 25, 50, -1],
            [10, 25, 50, "All"]
        ],
    });
})(jQuery);