if (document.getElementById("call-page-sidebar")) {
    var app = {
        data() {
            "use strict";

            return {
                tokens_for_next_to_call: [],
                called_tokens: [],
                isCalled: false,
                show_next_to_call: false,
                show_called: false,
                loader: false,
                call_page: window.JLToken?.call_page_loaded ?? false,
                date: window.JLToken?.date ?? null,
                menu: false,
            }
        },
        methods: {
            callNext(id) {
                "use strict";

                this.enableLoader();

                if (this.tokens_for_next_to_call.length) {
                    const data = new FormData;
                    data.append('action', window.JLToken.call_next_url.split('|')[0]);
                    data.append('_wpnonce', window.JLToken.call_next_url.split('|')[1]);
                    data.append('queue_id', id);
                    data.append('service_id', window?.JLToken?.selectedService?.id);
                    data.append('by_id', true);

                    axios.post(window?.JLToken.url, data).then(res => {
                        if (res.data && res.data.status_code && res.data.status_code == 500) {
                            this.disableLoader();
                            M.toast({ html: window?.JLToken?.error_lang, classes: "toast-error" });
                        }
                        else if (res.data && res.data?.no_token_found && res.data.no_token_found == true) {
                            this.disableLoader();
                            M.toast({ html: window?.JLToken?.alredy_called_lang, timeRemaining: 20, classes: "toast-error" });
                        }
                        else if (res.data) {
                            this.tokens_for_next_to_call = this.tokens_for_next_to_call.filter(element => element.id != id);
                            this.called_tokens.unshift(res.data);
                            window.jlTokenCallPageApp.getTokenForCall();
                            this.isCalled = true;
                            M.toast({ html: window?.JLToken?.called_lang });
                        }
                    }).catch(err => {
                        this.disableLoader();
                        M.toast({ html: window?.JLToken?.error_lang, classes: "toast-error" });
                    })
                } else {
                    this.disableLoader();
                    M.toast({ html: window?.JLToken?.no_ticket_lang });
                }
            },

            recallToken(id) {
                "use strict";

                this.enableLoader();

                const data = new FormData;
                data.append('action', window.JLToken.recall_token_url.split('|')[0]);
                data.append('_wpnonce', window.JLToken.recall_token_url.split('|')[1]);
                data.append('call_id', id);

                axios.post(window.JLToken.url, data).then(res => {
                    if (res.data && res.data.status_code && res.data.status_code == 500) {
                        this.disableLoader();
                        M.toast({ html: window?.JLToken?.error_lang, classes: "toast-error" });
                    }
                    else {
                        this.called_tokens = this.called_tokens.filter(element => element.id != id);
                        this.called_tokens.unshift(res.data);
                        this.isCalled = true;
                        window.jlTokenCallPageApp.getTokenForCall();
                        M.toast({ html: window?.JLToken?.recalled_lang });
                    }
                }).catch(err => {
                    this.disableLoader();
                    M.toast({ html: window?.JLToken?.error_lang, classes: "toast-error" });
                })
            },

            getTokensFromFile() {
                "use strict";

                axios.get(`${window?.JLToken.get_tokens_from_file}?time=${new Date().getTime()}`).then(res => {
                    if (res.data && res.data.called_tokens && res.data.tokens_for_call && this.date && window.JLToken.selectedService && window.JLToken.selectedCounter) {
                        if ((res.data.called_tokens.length && moment(res.data.called_tokens[0].started_at).format('YYYY-MM-DD') == this.date) || (res.data.tokens_for_call.length && moment(res.data.tokens_for_call[0].created_at).format('YYYY-MM-DD') == this.date)) {
                            this.called_tokens = res.data.called_tokens.filter(val => val.service_id == window.JLToken.selectedService.id && val.counter_id == window.JLToken.selectedCounter.id);
                            this.tokens_for_next_to_call = res.data.tokens_for_call.filter(val => val.service_id == window.JLToken.selectedService.id);
                            this.updateValues();
                        }

                    }
                    setTimeout(() => {
                        this.getTokensFromFile();
                    }, 1000)

                }).catch(err => { })
            },

            updateValues() {
                "use strict";

                if (this.called_tokens.length && this.called_tokens[0] && this.called_tokens[0].ended_at == null) {
                    this.isCalled = true;
                } else if (this.called_tokens && this.called_tokens.length && this.called_tokens[0]) {

                    this.isCalled = false;
                } else {
                    this.isCalled = false;
                }
            },

            showNextToCall() {
                "use strict";

                this.show_next_to_call = !this.show_next_to_call;
                if (this.show_called && this.show_next_to_call) this.show_called = false;
            },

            showCalled() {
                "use strict";

                this.show_called = !this.show_called;
                if (this.show_called && this.show_next_to_call) this.show_next_to_call = false;
            },
            disableLoader() {
                "use strict";

                $('body').addClass('loaded');
            },
            enableLoader() {
                "use strict";

                $('body').removeClass('loaded');
            },
            closeRightMenu() {
                "use strict";

                let edge = window.JLToken.is_rtl ? 'left' : 'right';
                var elems = document.querySelectorAll('.sidenav');
                var instance = M.Sidenav.init(elems[0], { dismissible: true, edge: edge });
                instance.close();
            },
        },
        mounted() {
            "use strict";

            if (this.call_page) {
                this.menu = true;
                this.getTokensFromFile()
                this.showNextToCall();
            } else {
                $('#side-menu-icon').css('display', 'none');
                $('#side-menu-icon-attachment').css('display', 'none');
            }
        },
    };

    window.jlTokenCallLayoutApp = Vue.createApp(app).mount('#mount')
}