<?php
/*
 * Plugin Name
 *
 * @package           JLTokenPackage
 * @author            Justlab Technologies
 * @copyright         2022 Justlab Technologies
 *
 * @wordpress-plugin
 * Plugin Name:    JL Token
 * Plugin URI:     https://www.persianscript.ir
 * Description:    JL Token queue management system
 * Version:        1.0.3
 * Author:         پرشین اسکریپت
 * Author URI:     https://www.persianscript.ir
 * Text Domain:    jltoken
 * Domain Path:    /lang
 * Update URI:     https://justlabtech.com
 */

use Justlab\JLToken\Controllers\ActivationController;
use Justlab\JLToken\Controllers\InitController;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

define('JLTOKEN_VERSION', '1.0.3');
define('JLTOKEN__PLUGIN_DIR', plugin_dir_path(__FILE__));
define('JLTOKEN__PLUGIN_URL', __FILE__);

require_once(JLTOKEN__PLUGIN_DIR . 'vendor/autoload.php');

InitController::initCheck();

register_activation_hook(__FILE__, [ActivationController::class, 'activate']);
register_deactivation_hook(__FILE__, [ActivationController::class, 'deactivate']);

add_action('init', [InitController::class, 'init']);
