<?php

namespace Justlab\JLToken\Controllers;

use Justlab\JLToken\Repositories\DashboardRepository;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

class DashboardController extends Controller
{
    const VIEW_DIR = JLTOKEN__PLUGIN_DIR . 'views/admin/dashboard/';

    private static $initiated = false;

    public static function init()
    {
        if (!self::$initiated) {
            self::initHooks();
        }
    }

    public static function initHooks()
    {
        self::$initiated = true;

        add_submenu_page('jltoken', esc_html__('Dashboard', 'jltoken') . ' | JL Token', esc_html__('Dashboard', 'jltoken'), 'manage_options', 'jltoken', [self::class, 'dashboardView'], 0);
    }

    public static function dashboardView()
    {
        self::dashboard();

        self::enqueueAssets();

        $counts = DashboardRepository::getTodayData();
        $chart_data = DashboardRepository::getTodayYesterdayData();

        ob_start();
        include_once(self::VIEW_DIR . 'dashboard.php');
        $view = ob_get_contents();
        ob_end_clean();

        echo $view;
    }

    public static function enqueueAssets()
    {
        wp_enqueue_style('jltoken-materialize');
        wp_enqueue_style('jltoken-app');
        wp_enqueue_style('jltoken-style');

        wp_enqueue_script('jltoken-vendor');
        wp_enqueue_script('jltoken-chart');
        wp_enqueue_script('jltoken-dashboard');
    }
}
