<?php

namespace Justlab\JLToken\Models;

use JsonSerializable;
use Justlab\JLToken\Utility;
use TenQuality\WP\Database\Abstracts\DataModel;
use TenQuality\WP\Database\Traits\DataModelTrait;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

class Call extends DataModel implements JsonSerializable
{
    use DataModelTrait;

    const TABLE = 'jltoken_calls';

    protected $table = self::TABLE;

    protected $primary_key = 'id';

    protected $attributes = ['queue_id', 'service_id', 'counter_id', 'user_id', 'call_status_id', 'letter', 'number', 'called_date', 'started_at', 'ended_at', 'waiting_time', 'served_time', 'turn_around_time', 'created_at', 'updated_at'];

    protected function protected_properties()
    {
        return [$this->primary_key];
    }

    public function jsonSerialize()
    {
        $attributes = $this->attributes;

        if (!empty($attributes)) {
            $attributes['counter_time'] = Utility::parse($this->attributes['started_at'])->diffInSeconds(Utility::now());
        }

        return $attributes;
    }
}
