<?php

namespace Justlab\JLToken\Models;

use JsonSerializable;
use TenQuality\WP\Database\Abstracts\DataModel;
use TenQuality\WP\Database\Traits\DataModelTrait;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

class Queue extends DataModel implements JsonSerializable
{
    use DataModelTrait;

    const TABLE = 'jltoken_queues';

    protected $table = self::TABLE;

    protected $primary_key = 'id';

    protected $attributes = ['service_id', 'reference_no', 'letter', 'number', 'called', 'position', 'name', 'email', 'phone', 'created_at', 'updated_at'];

    protected function protected_properties()
    {
        return [$this->primary_key];
    }

    public function jsonSerialize()
    {
        return $this->attributes;
    }
}
