<?php

namespace Justlab\JLToken\Models;

use JsonSerializable;
use TenQuality\WP\Database\Abstracts\DataModel;
use TenQuality\WP\Database\Traits\DataModelTrait;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

class Service extends DataModel implements JsonSerializable
{
    use DataModelTrait;

    const TABLE = 'jltoken_services';

    protected $table = self::TABLE;

    protected $primary_key = 'id';

    protected $attributes = ['name', 'letter', 'start_number', 'ask_name', 'ask_email', 'ask_phone', 'name_required', 'email_required', 'phone_required', 'status', 'created_at', 'updated_at'];

    protected function protected_properties()
    {
        return [$this->primary_key];
    }

    public function jsonSerialize()
    {
        return $this->attributes;
    }
}
