<?php

namespace Justlab\JLToken\Models;

use JsonSerializable;
use TenQuality\WP\Database\Abstracts\DataModel;
use TenQuality\WP\Database\Traits\DataModelTrait;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

class Setting extends DataModel implements JsonSerializable
{
    use DataModelTrait;

    const TABLE = 'jltoken_settings';

    protected $table = self::TABLE;

    protected $primary_key = 'id';

    protected $attributes = ['voice_id', 'notification', 'font_size', 'font_color', 'installed'];

    protected function protected_properties()
    {
        return [$this->primary_key];
    }

    public function jsonSerialize()
    {
        return $this->attributes;
    }
}
