<?php

namespace Justlab\JLToken\Validator;

use IgniteKit\Validation\Rule;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

class ExistsRule extends Rule
{
    protected $message = ":attribute :value has does not exists";

    protected $fillableParams = ['table', 'column'];

    public function check($value): bool
    {
        global $wpdb;

        // make sure required parameters exists
        $this->requireParameters(['table', 'column']);

        // getting parameters
        $column = $this->parameter('column');
        $table = $wpdb->prefix . 'jltoken_' . $this->parameter('table');

        // do query
        $query = "SELECT COUNT(*) AS count FROM $table WHERE $column = '$value'";

        // true for valid, false for invalid
        return (intval($wpdb->get_var($query)) !== 0);
    }
}
