<?php

namespace Justlab\JLToken\Validator;

use IgniteKit\Validation\Rule;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

class UniqueRule extends Rule
{
    protected $message = ":attribute :value has been used";

    protected $fillableParams = ['table', 'column', 'except'];

    public function check($value): bool
    {
        global $wpdb;

        // make sure required parameters exists
        $this->requireParameters(['table', 'column']);

        // getting parameters
        $column = $this->parameter('column');
        $table = $wpdb->prefix . 'jltoken_' . $this->parameter('table');
        $except = $this->parameter('except');

        // do query
        $query = "SELECT COUNT(*) AS count FROM $table WHERE $column = '$value'";

        if ($except) {
            $query .= " AND id <> $except";
        }

        // true for valid, false for invalid
        return (intval($wpdb->get_var($query)) === 0);
    }
}
