<?php

namespace IgniteKit\Validation\Rules;

use IgniteKit\Validation\Rule;

class Same extends Rule
{

    /** @var string */
    protected $message = "The :attribute must be same as :field";

    /** @var array */
    protected $fillableParams = ['field'];

    /**
     * Check the $value is valid
     *
     * @param mixed $value
     * @return bool
     */
    public function check($value): bool
    {
        $this->requireParameters($this->fillableParams);

        $field = $this->parameter('field');
        $anotherValue = $this->getAttribute()->getValue($field);

        return $value == $anotherValue;
    }
}
