<?php

use Justlab\JLToken\Utility;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}
?>
<div id="call_page" class="wrap">
    <div id="main">
        <a class="waves-effect waves-block waves-light sidenav-trigger" href="#" data-target="slide-out-right"><span class="dashicons dashicons-menu-alt3"></span></a>
        <div class="wrapper no-print" id="call-page">
            <section id="content" class="content-wrapper no-print" v-cloak>
                <div class="container">
                    <div id="card-reveal" class="section">
                        <div class="col s12">
                            <div class="row">
                                <div class="col s12 p0">
                                    <div class="card">
                                        <div class="card-content" v-if="selected_counter && selected_service">
                                            <div class="col m12 s12 height-div">
                                                <div class="row width-div">
                                                    <div class="col s12 center" v-if="token">
                                                        <span class="token_number">
                                                            <span>
                                                                {{token.letter?token.letter : token.token_letter }}-{{token.number? token.number : token.token_number}}
                                                            </span>
                                                        </span>
                                                    </div>
                                                    <div class="col s12 center nil-div" v-if="!token">
                                                        <span>
                                                            <?php esc_html_e('NIL', 'jltoken') ?>
                                                        </span>
                                                    </div>
                                                    <div class="col s12 center status-div">
                                                        <div class="served" v-if="token?.call_status_id == 1"><?php esc_html_e('Served', 'jltoken') ?></div>
                                                        <div class="no-show" v-if="token?.call_status_id == 2"><?php esc_html_e('No Show', 'jltoken') ?></div>
                                                        <div class="timer" v-if="token && isCalled && this.token.ended_at == null">{{time_after_called}}</div>
                                                    </div>
                                                </div>
                                                <div class="row button-area">
                                                    <div class=" col m6 col s12 center">
                                                        <div class="input-field col s6">
                                                            <button class="btn waves-effect waves-light center call-bt submit" type="submit" @click="serveToken(token.id)" :disabled="!isCalled ||servedClicked"><?php esc_html_e('Served', 'jltoken') ?></button>

                                                        </div>
                                                        <div class="input-field col s6">
                                                            <button class="btn waves-effect waves-light center submit call-bt" type="submit" @click="recallToken(token.id)" name="action" :disabled="!isCalled || recallClicked"><?php esc_html_e('Recall', 'jltoken') ?></button>
                                                        </div>
                                                    </div>
                                                    <div class="col m6 s12 center">
                                                        <div class="input-field col s6">
                                                            <button class="btn waves-effect waves-light center submit call-bt" type="submit" name="action" @click="noShowToken(token.id)" :disabled="!isCalled || noshowClicked" :style="[font_size_smaller  ? { 'font-size' : '14px', 'padding' : '0 4px' } : '']"><?php esc_html_e('No Show', 'jltoken') ?></button>
                                                        </div>
                                                        <div class="input-field col s6">
                                                            <button id="next_call" class="btn waves-effect waves-light center call-bt submit " :style="[font_size_smaller  ? { 'font-size' : '14px', 'padding' : '0 4px' } : '']" type="submit" @click="callNext()" :disabled="isCalled || callNextClicked"><?php esc_html_e('Call Next', 'jltoken') ?></button>
                                                        </div>
                                                    </div>
                                                    <div class="col s12 center-align mt-2" v-if="selected_service && selected_counter">
                                                        <b>Servcie: </b>{{ selected_service.name }} |
                                                        <b>Counter: </b>{{selected_counter.name}} |
                                                        <a class="btn-floating btn-action waves-effect waves-light orange tooltipped" @click="openSetServiceModal()" data-position="top" data-tooltip="Change"><span class="dashicons dashicons-edit"></span></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="select-service" class="modal modal-fixed-footer">
                    <div class="modal-content">
                        <div class="offset-s1"></div>
                        <form class="form-horizontal">
                            <h4 class="header center">
                                <?php esc_html_e('Set Service And Counter', 'jltoken') ?>
                            </h4>
                            <div class="divider col s12"></div>
                            <div class="row content-row">
                                <div class="row">
                                    <div class="input-field col s10 offset-s1">
                                        <div class="input-field col s12">
                                            <select class="browser-default" v-model="service_id">
                                                <option value="" disabled selected><?php esc_html_e('Choose Your Service', 'jltoken') ?></option>
                                                <option v-for="service in services" :value="service.id">{{service.name}}</option>
                                            </select>
                                            <label class="active"><?php esc_html_e('Service', 'jltoken') ?></label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col s10 offset-s1">
                                        <div class="input-field col s12">
                                            <select class="browser-default" v-model="counter_id">
                                                <option value="" disabled selected><?php esc_html_e('Choose Your Counter', 'jltoken') ?></option>
                                                <option v-for="counter in counters" :value="counter.id">{{counter.name}}</option>
                                            </select>
                                            <label class="active"><?php esc_html_e('Counter', 'jltoken') ?></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <a v-if="!selected_service && !selected_counter" href="<?php echo admin_url('admin.php?page=jltoken') ?>"><button class="btn waves-effect waves-light red" type="button"><?php esc_html_e('Go Back', 'jltoken') ?></button></a>
                        <button v-if="selected_service && selected_counter" class="modal-close btn waves-effect waves-light red" type="button"><?php esc_html_e('Close', 'jltoken') ?></button>
                        <button class="btn waves-effect waves-light submit" type="submit" name="action" :disabled="!service_id || !counter_id" @click="setService()"><?php esc_html_e('Submit', 'jltoken') ?></button>
                    </div>
                </div>
            </section>
        </div>
    </div>
    <div id="mount">
        <aside id="right-sidebar-nav">
            <div id="slide-out-right" class="slide-out-right-sidenav sidenav side">
                <div class="row" id="call-page-sidebar">
                    <div class="slide-out-right-title">
                        <div class="col s12 border-bottom-1 pb-0 pt-1 pr-0">
                            <div class="row">
                                <div class="col s2 pr-0 pl-0 center close-div">
                                    <a href="#" @click="closeRightMenu()"><span class="dashicons dashicons-exit vertical-text-middle"></span></a>
                                </div>
                                <div class="col s10 pl-0">
                                    <ul class="tabs">
                                        <li class="tab col s12 p-0">
                                            <a href="#messages">
                                                <span><?php esc_html_e('Queue', 'jltoken') ?></span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slide-out-right-body row">
                        <div id="messages" class="col s12 pb-0">
                            <div class="collection border-none mt-0 mb-0">
                                <div class="progress" v-if="loader">
                                    <div class="indeterminate"></div>
                                </div>
                                <ul class="collection right-sidebar-chat p-0 m-0" v-if="!loader">
                                    <li class="right-sidebar-chat-item pb-0 waves-effect waves-light next-to-call" :class="{'selected-token': show_next_to_call }" @click="showNextToCall()">
                                        <div class="user-content main">
                                            <h6><?php esc_html_e('Next To Call', 'jltoken') ?></h6>
                                            <span v-if="show_next_to_call" class="dashicons dashicons-arrow-up-alt2"></span>
                                            <span v-if="!show_next_to_call" class="dashicons dashicons-arrow-down-alt2"></span>
                                        </div>
                                    </li>
                                    <li class="right-sidebar-chat-item pb-0" data-target="slide-out-chat" v-for="token in tokens_for_next_to_call" v-if="show_next_to_call">
                                        <div class="user-content">
                                            <div class="call-btn" @click="!isCalled ? callNext(token.id): ''" :class="{'recall-active':  !isCalled, 'disabled-color': isCalled }"><span class="dashicons dashicons-phone"></span></div>
                                            <h6>{{token.letter}}-{{token.number}}</h6>
                                            <div></div>
                                        </div>
                                    </li>
                                    <li class="right-sidebar-chat-item pb-0 waves-effect waves-light next-to-call" :class="{'selected-token': show_called }" @click="showCalled()">
                                        <div class="user-content main">
                                            <h6><?php esc_html_e('Called', 'jltoken') ?></h6>
                                            <span v-if="show_called" class="dashicons dashicons-arrow-up-alt2"></span>
                                            <span v-if="!show_called" class="dashicons dashicons-arrow-down-alt2"></span>
                                        </div>
                                    </li>
                                    <li class="right-sidebar-chat-item pb-0" data-target="slide-out-chat" v-for="token in called_tokens" v-if="show_called">
                                        <div class="user-content">
                                            <div class="call-btn" @click="(token.call_status_id == 2 && !isCalled) ? recallToken(token.id) : ''" :class="{'recall-active': token.call_status_id == 2 && !isCalled, 'disabled-color': token.call_status_id != 2 || isCalled }"><span class="dashicons dashicons-controls-repeat"></span></div>
                                            <h6>{{token.letter}}-{{token.number}}</h6>
                                            <span class="badge-served" v-if="token.call_status_id == 1">S</span>
                                            <span class="badge-noshow" v-if="token.call_status_id != 1">N</span>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </aside>
    </div>
</div>

<script>
    window.JLToken = {
        is_rtl: <?php echo is_rtl() ? 'true' : 'false' ?>,
        url: "<?php echo admin_url('admin-ajax.php') ?>",
        call_page_loaded: true,
        set_service_counter_url: "jltoken_set_service_counter|<?php echo wp_create_nonce('jltoken_set_service_counter') ?>",
        get_token_for_call_url: "jltoken_get_token_for_call|<?php echo wp_create_nonce('jltoken_get_token_for_call') ?>",
        isServiceSelected: <?php echo (isset($_SESSION['jltoken_service']) && $_SESSION['jltoken_service']) ? 'true' : 'false' ?>,
        call_next_url: "jltoken_call_next|<?php echo wp_create_nonce('jltoken_call_next') ?>",
        serve_token_url: "jltoken_serve_token|<?php echo wp_create_nonce('jltoken_serve_token') ?>",
        noshow_token_url: "jltoken_no_show|<?php echo wp_create_nonce('jltoken_no_show') ?>",
        recall_token_url: "jltoken_recall_token|<?php echo wp_create_nonce('jltoken_recall_token') ?>",
        services: JSON.parse('<?php echo json_encode($services) ?>'),
        counters: JSON.parse('<?php echo json_encode($counters) ?>'),
        selectedService: JSON.parse('<?php echo ((isset($_SESSION['jltoken_service']) && $_SESSION['jltoken_service']) ? json_encode($_SESSION['jltoken_service']) : 'null') ?>'),
        selectedCounter: JSON.parse('<?php echo ((isset($_SESSION['jltoken_counter']) && $_SESSION['jltoken_counter']) ? json_encode($_SESSION['jltoken_counter']) : 'null') ?>'),
        get_tokens_from_file: "<?php echo plugins_url('assets/files/tokens_for_callpage.json', JLTOKEN__PLUGIN_URL) ?>",
        date: "<?php echo Utility::now()->toDateString() ?>",
        served_lang: "<?php esc_html_e('Served', 'jltoken') ?>",
        noshow_lang: "<?php esc_html_e('No Show', 'jltoken') ?>",
        called_lang: "<?php esc_html_e('Called', 'jltoken') ?>",
        recalled_lang: "<?php esc_html_e('Recalled', 'jltoken') ?>",
        no_ticket_lang: "<?php esc_html_e('No ticket availabe', 'jltoken') ?>",
        alredy_used_lang: "<?php esc_html_e('Already Used', 'jltoken') ?>",
        alredy_selected_lang: "<?php esc_html_e('Already Selected', 'jltoken') ?>",
        error_lang: "<?php esc_html_e('Something went wrong', 'jltoken') ?>",
        alredy_called_lang: "<?php esc_html_e('Already Called', 'jltoken') ?>",
    };
</script>