<?php

use Justlab\JLToken\Utility;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}
?>
<div class="wrap">

    <h1 id="wp-heading-inline">
        <a href="<?php echo admin_url('admin.php?page=jltoken-counters') ?>">
            <span class="dashicons dashicons-arrow-left-alt" title="<?php esc_html_e('Back', 'jltoken') ?>"></span>
        </a>
        <?php Utility::issetValue($counter) ? esc_html_e('Update Counter', 'jltoken') : esc_html_e('Add New Counter', 'jltoken') ?>
    </h1>
    <?php
    if (isset($result) && $result) {
        Utility::notice(Utility::issetValue($counter) ? esc_html__('Counter updated successfully!', 'jltoken') : esc_html__('Counter created successfully!', 'jltoken'));
        if (!Utility::issetValue($counter)) {
            $_POST = [];
        }
    } else if (isset($result) && !$result) {
        Utility::notice(esc_html__('Something went wrong. Please try again', 'jltoken'), 'e');
    }
    ?>
    <p><?php Utility::issetValue($counter) ? esc_html_e('Update an existing Counter', 'jltoken') : esc_html_e('Create a brand new Counter.', 'jltoken') ?></p>
    <form method="post">
        <input name="action" type="hidden" value="<?php echo Utility::issetValue($counter) ? 'edit' : 'create' ?>-counter">
        <?php wp_nonce_field('jltoken-counters-' . (Utility::issetValue($counter) ? 'edit' : 'create')) ?>
        <?php echo Utility::issetValue($counter) ? '<input type="hidden" name="id" value="' . $counter->id . '">' : '' ?>
        <table class="form-table" role="presentation">
            <tbody>
                <tr class="form-field form-required <?php echo (isset($errors) && $errors->has('name')) ? 'form-invalid' : '' ?>">
                    <th scope="row">
                        <label for="name">
                            <?php esc_html_e('Name', 'jltoken') ?>
                            <span class="description">(<?php esc_html_e('required', 'jltoken') ?>)</span>
                        </label>
                    </th>
                    <td>
                        <input name="name" type="text" id="name" value="<?php echo Utility::issetValueOld($counter, 'name') ?>" aria-required="true" autocorrect="off" autocomplete="off" maxlength="60">
                        <?php if (isset($errors) && $errors->has('name')) { ?>
                            <p class="error"><?php echo $errors->first('name') ?></p>
                        <?php } ?>
                    </td>
                </tr>
                <tr class="form-field form-required <?php echo (isset($errors) && $errors->has('status')) ? 'form-invalid' : '' ?>">
                    <th scope="row">
                        <label for="status">
                            <?php esc_html_e('Status', 'jltoken') ?>
                            <span class="description">(<?php esc_html_e('required', 'jltoken') ?>)</span>
                        </label>
                    </th>
                    <td>
                        <select name="status" id="status">
                            <option value="1" <?php echo (intval(Utility::issetValueOld($counter, 'status')) === 1) ? 'selected' : '' ?>><?php esc_html_e('Enable', 'jltoken') ?></option>
                            <option value="0" <?php echo (intval(Utility::issetValueOld($counter, 'status')) === 0) ? 'selected' : '' ?>><?php esc_html_e('Disable', 'jltoken') ?></option>
                        </select>
                        <?php if (isset($errors) && $errors->has('status')) { ?>
                            <p class="error"><?php echo $errors->first('status') ?></p>
                        <?php } ?>
                    </td>
                </tr>
            </tbody>
        </table>
        <p class="submit">
            <input type="submit" class="button button-primary" value="<?php Utility::issetValue($counter) ? esc_html_e('Update Counter', 'jltoken') : esc_html_e('Add Counter', 'jltoken') ?>">
        </p>
    </form>
</div>