<?php

use Justlab\JLToken\Tables\CounterListTable;
use Justlab\JLToken\Utility;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}

$table = new CounterListTable(['plural' => 'counters', 'singular' => 'counter']);
$table->prepare_items();

?>

<div class="wrap">
    <h1 class="wp-heading-inline"><?php esc_html_e('Counters', 'jltoken') ?></h1>
    <a href="<?php echo admin_url('admin.php?page=jltoken-counters&view=create') ?>" class="page-title-action"><?php esc_html_e('Add New', 'jltoken') ?></a>
    <hr class="wp-header-end">
    <?php
    if ($table->can_do_bulk_actions() && $table->is_bulk_action_success) {
        switch ($table->get_bulk_action()) {
            case 'enable':
                Utility::notice(esc_html__('Counter(s) enabled successfully!', 'jltoken'));
                break;
            case 'disable':
                Utility::notice(esc_html__('Counter(s) disabled successfully!', 'jltoken'));
                break;
            case 'delete':
                Utility::notice(esc_html__('Counter(s) deleted successfully!', 'jltoken'));
                break;
        }
    } else if ($table->can_do_delete() && $table->is_delete_success) {
        Utility::notice(esc_html__('Counter deleted successfully!', 'jltoken'));
    }

    if (($table->can_do_bulk_actions() && !$table->is_bulk_action_success) || ($table->can_do_delete() && !$table->is_delete_success)) {
        Utility::notice(esc_html__('Something went wrong. Please try again', 'jltoken'), 'e');
    }
    ?>
    <ul class="subsubsub">
        <li><a href="<?php echo admin_url('admin.php?page=jltoken-counters') ?>" class="<?php echo (!$table->status ? 'current' : '') ?>"><?php esc_html_e('All', 'jltoken') ?> <span class="count">(<?php echo $table->all_count ?>)</span></a> |</li>
        <li><a href="<?php echo admin_url('admin.php?page=jltoken-counters&status=enabled') ?>" class="<?php echo ($table->status == 'enabled' ? 'current' : '') ?>"><?php esc_html_e('Enabled', 'jltoken') ?> <span class="count">(<?php echo $table->enabled_count ?>)</span></a> |</li>
        <li><a href="<?php echo admin_url('admin.php?page=jltoken-counters&status=disabled') ?>" class="<?php echo ($table->status == 'disabled' ? 'current' : '') ?>"><?php esc_html_e('Disabled', 'jltoken') ?> <span class="count">(<?php echo $table->disabled_count ?>)</span></a></li>
    </ul>
    <form method="post">
        <?php
        $table->search_box(esc_html__("Search"), "jltoken-counters");
        $table->display();
        ?>
    </form>
</div>