<?php
if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}
?>

<div id="main" class="dashboard">
    <div id="breadcrumbs-wrapper">
        <div class="container">
            <div class="row">
                <h5 class="breadcrumbs-title col s6"><b><?php esc_html_e('Dashboard', 'jltoken') ?></b></h5>
                <div class="col-div" class="col s6">
                    <h6 class="breadcrumbs-title text">
                        <a href="<?php echo home_url('jltoken-kiosk') ?>" target="_blank"><?php esc_html_e('Kiosk Page', 'jltoken') ?></a>
                        <span class="dashicons dashicons-external"></span>
                    </h6>
                    <h6 class="breadcrumbs-title line">|</h6>
                    <h6 class="breadcrumbs-title text">
                        <a href="<?php echo home_url('jltoken-display') ?>" target="_blank"><?php esc_html_e('Display Page', 'jltoken') ?></a>
                        <span class="dashicons dashicons-external"></span>
                    </h6>
                </div>
            </div>
        </div>
    </div>
    <div id="card-stats" class="pt-0">
        <div class="row">
            <div class="col s12 m6 l3">
                <div class="card ">
                    <div class="card-content cyan white-text">
                        <p class="card-stats-title"><?php esc_html_e('Today Queue', 'jltoken') ?></p>
                        <h4 class="card-stats-number white-text"><?php echo $counts['today_queue'] ?></h4>
                        <p class="card-stats-compare">
                        </p>
                    </div>
                    <div class="card-action cyan darken-1">
                        <div id="clients-bar" class="center-align"></div>
                    </div>
                </div>
            </div>
            <div class="col s12 m6 l3">
                <div class="card ">
                    <div class="card-content red accent-2 white-text">
                        <p class="card-stats-title"><?php esc_html_e('Today Served', 'jltoken') ?></p>
                        <h4 class="card-stats-number white-text"><?php echo $counts['today_served'] ?></h4>
                        <p class="card-stats-compare">
                        </p>
                    </div>
                    <div class="card-action red">
                        <div id="sales-compositebar" class="center-align"></div>
                    </div>
                </div>
            </div>
            <div class="col s12 m6 l3">
                <div class="card ">
                    <div class="card-content orange lighten-1 white-text">
                        <p class="card-stats-title"> <?php esc_html_e('Today No Show', 'jltoken') ?></p>
                        <h4 class="card-stats-number white-text"><?php echo $counts['today_noshow'] ?></h4>
                        <p class="card-stats-compare">
                        </p>
                    </div>
                    <div class="card-action orange">
                        <div id="profit-tristate" class="center-align"></div>
                    </div>
                </div>
            </div>
            <div class="col s12 m6 l3">
                <div class="card">
                    <div class="card-content green lighten-1 white-text">
                        <p class="card-stats-title"><?php esc_html_e('Today Serving', 'jltoken') ?></p>
                        <h4 class="card-stats-number white-text"><?php echo $counts['today_serving'] ?></h4>
                        <p class="card-stats-compare">
                        </p>
                    </div>
                    <div class="card-action green">
                        <div id="invoice-line" class="center-align"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row charts">
        <div class="col m6">
            <div class="card-panel">
                <span class="title"><?php esc_html_e('Today', 'jltoken') ?></span>
                <div class="divider"></div>
                <div><canvas id="avg" height="300px"></canvas></div>
            </div>
        </div>
        <div class="col m6">
            <div class="card-panel">
                <span class="title"><?php esc_html_e('Today vs Yesterday', 'jltoken') ?></span>
                <div class="divider"></div>
                <div><canvas id="chart2" height="300px"></canvas></div>
            </div>
        </div>
    </div>
</div>
<script>
    window.JLToken = {
        queue_label: "<?php esc_html_e('Queue', 'jltoken') ?>",
        served_label: "<?php esc_html_e('Served', 'jltoken') ?>",
        no_show_label: "<?php esc_html_e('No Show', 'jltoken') ?>",
        serving_label: "<?php esc_html_e('Serving', 'jltoken') ?>",
        today_label: "<?php esc_html_e('Today', 'jltoken') ?>",
        yesterday_label: "<?php esc_html_e('Yesterday', 'jltoken') ?>",
        number_of_tokens_label: "<?php esc_html_e('Number of Tokens', 'jltoken') ?>",
        time_label: "<?php esc_html_e('Time', 'jltoken') ?>",
        counts: JSON.parse('<?php echo json_encode($counts) ?>'),
        chart_data: JSON.parse('<?php echo json_encode($chart_data) ?>')
    }
</script>