<?php
if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}
?>
<div class="master">
    <div class="box">
        <div class="header">
            <h1 class="header__title">JL Token <?php esc_html_e('Installer', 'jltoken') ?></h1>
        </div>
        <div class="main" id="installer" v-cloak>
            <div class="alert alert-danger" id="error_alert" v-if="error_message">
                <span>
                    {{error_host ? 'JL Token <?php echo esc_html__("already installed on the domain", 'jltoken') . " ' + error_host + ' " . esc_html__("using given purchase code", 'jltoken') ?>' : error_message}}
                </span>
            </div>
            <div id="verify_license" v-if="verify_page">
                <div v-if="!is_completed">
                    <form class="tabs-wrap">
                        <div class="tab" id="tab1content">
                            <div class="form-group col-sm-8" :class="{'has-error' : errors['purchase_code']}">
                                <a class="pull-right" href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code-" target="_blank"><?php esc_html_e('How to get codecanyon purchase code', 'jltoken') ?></a>
                                <label for="puchase_code">
                                    <?php esc_html_e('Codecanyon Purchase Code', 'jltoken') ?>
                                </label>
                                <input type="text" name="puchase_code" id="puchase_code" placeholder="<?php esc_html_e('Purchase Code', 'jltoken') ?>" :readonly="show_details" v-model="purchase_code" />
                                <span class="error-block" v-if="errors['purchase_code']">
                                    <?php esc_html_e('Purchase Code required', 'jltoken') ?>
                                </span>
                            </div>
                            <div class="form-group col-sm-8 username-group" :class="{'has-error' : errors['codecanyon_username']}">
                                <label for="name">
                                    <?php esc_html_e('Codecanyon Username', 'jltoken') ?>
                                </label>
                                <input type="text" name="codecanyon_username" id="codecanyon_username" :readonly="show_details" placeholder="<?php esc_html_e('Codecanyon Username', 'jltoken') ?>" v-model="codecanyon_username" />
                                <span class="error-block" v-if="errors['codecanyon_username']">
                                    <?php esc_html_e('Username required', 'jltoken') ?>
                                </span>
                            </div>
                            <div v-if="show_details">
                                <div class="row">
                                    <div class="form-group left-form" :class="{'has-error' : errors['name']}">
                                        <label for="name">
                                            <?php esc_html_e('Name', 'jltoken') ?>
                                        </label>
                                        <input type="text" name="name" id="name" placeholder="<?php esc_html_e('Name', 'jltoken') ?>" v-model="name" />
                                        <span class="error-block" v-if="errors['name']">
                                            <?php esc_html_e('Name required', 'jltoken') ?>
                                        </span>
                                    </div>

                                    <div class="form-group right-form" :class="{'has-error' : errors['company_name']}">
                                        <label for="company_name">
                                            <?php esc_html_e('Company Name', 'jltoken') ?>
                                        </label>
                                        <input type="text" name="company_name" id="company_name" placeholder="<?php esc_html_e('Company Name', 'jltoken') ?>" v-model="company_name" />
                                        <span class="error-block" v-if="errors['company_name']">
                                            <?php esc_html_e('Company Name required', 'jltoken') ?>
                                        </span>

                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group left-form" :class="{'has-error' : (errors['email'] || errors['email_valid'])}">
                                        <label for="Email">
                                            <?php esc_html_e('Email', 'jltoken') ?>
                                        </label>
                                        <input type="text" name="email" id="Email" placeholder="<?php esc_html_e('Email', 'jltoken') ?>" v-model="email" />
                                        <span class="error-block" v-if="errors['email']">
                                            <?php esc_html_e('Email required', 'jltoken') ?>
                                        </span>
                                        <span class="error-block" v-if="errors['email_valid']">
                                            <?php esc_html_e('Email valid email', 'jltoken') ?>
                                        </span>
                                    </div>
                                    <div class="form-group right-form" :class="{'has-error' : errors['phone']}">
                                        <label for="phone">
                                            <?php esc_html_e('Phone', 'jltoken') ?>
                                        </label>
                                        <input type="text" name="phone" id="phone" placeholder="<?php esc_html_e('Phone', 'jltoken') ?>" v-model="phone" />
                                        <span class="error-block" v-if="errors['phone']">
                                            <?php esc_html_e('Phone required', 'jltoken') ?>
                                        </span>

                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group left-form" :class="{'has-error' : errors['city']}">
                                        <label for="city">
                                            <?php esc_html_e('City', 'jltoken') ?>
                                        </label>
                                        <input type="text" name="city" id="city" placeholder="<?php esc_html_e('City', 'jltoken') ?>" v-model="city" />

                                        <span class="error-block" v-if="errors['city']">
                                            <?php esc_html_e('City required', 'jltoken') ?>
                                        </span>

                                    </div>
                                    <div class="form-group right-form" :class="{'has-error' : errors['country']}">
                                        <label for="country">
                                            <?php esc_html_e('Country', 'jltoken') ?>
                                        </label>
                                        <input type="text" name="country" id="country" placeholder="<?php esc_html_e('Country', 'jltoken') ?>" v-model="country" />

                                        <span class="error-block" v-if="errors['country']">
                                            <?php esc_html_e('Country required', 'jltoken') ?>
                                        </span>

                                    </div>
                                </div>
                            </div>
                            <div class="loader" v-if="loader"></div>
                            <p class="text-center button-p">
                                <button class="button" type="button" @click="verifyLicense()" v-if="!loader &&!show_details">
                                    <?php esc_html_e('Verify', 'jltoken') ?>
                                </button>
                                <button class="button" type="button" @click="setLicenseDetails()" v-if="!loader && show_details">
                                    <?php esc_html_e('Complete Installation', 'jltoken') ?>
                                </button>
                            </p>
                        </div>
                    </form>
                    <div class="info-div" v-if="!show_details">
                        <h6><?php esc_html_e('Important', 'jltoken') ?>:-</h6>
                        <p><?php esc_html_e('Proper internet connection required', 'jltoken') ?></p>
                    </div>
                </div>
                <div class="install-complete" v-if="is_completed">
                    <h4><?php esc_html_e('Installation completed', 'jltoken') ?></h4>
                    <p class="text-center">
                        <a class="button" href="<?php echo admin_url('admin.php?page=jltoken') ?>">
                            <?php esc_html_e('Done', 'jltoken') ?>
                        </a>
                    </p>
                </div>
            </div>
            <div class="version-div"><?php esc_html_e('Version', 'jltoken') ?> <?php echo JLTOKEN_VERSION ?></div>
        </div>
    </div>
</div>
<script>
    window.JLToken = {
        verify_license_url: "aHR0cHM6Ly9saWNlbnNlLmp1c3RsYWJ0ZWNoLmNvbS9hcGkvdmVyaWZ5LXB1cmNoYXNlLWNvZGU=",
        set_license_details_url: "aHR0cHM6Ly9saWNlbnNlLmp1c3RsYWJ0ZWNoLmNvbS9hcGkvc2V0LWN1c3RvbWVyLWRldGFpbHM=",
        host: "<?php echo get_home_url() ?>",
        url: "<?php echo admin_url('admin-ajax.php') ?>",
        complete_url: "jltoken_complete|<?php echo wp_create_nonce('jltoken_complete') ?>",
    }
</script>
<?php iframe_footer() ?>