<?php

use Justlab\JLToken\Utility;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}
?>

<div id="main" class="reports">
    <div id="breadcrumbs-wrapper">
        <div class="container">
            <div class="row">
                <h5 class="breadcrumbs-title"><b><?php esc_html_e('Monthly Report', 'jltoken') ?></b></h5>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col s12 m12 l12 form-col">
            <div id="inline-form" class="card card card-default scrollspy">
                <div class="card-content">
                    <form id="queue_list_report_form" method="post">
                        <div class="row">
                            <div class="input-field col s4">
                                <select class="browser-default" name="service_id" id="service_id" data-error=".service_id">
                                    <option value=""><?php esc_html_e('All Services', 'jltoken') ?></option>
                                    <?php foreach ($services as $service) { ?>
                                        <option value="<?php echo $service->id ?>" <?php echo ($service->id == $service_id ? 'selected' : '') ?>><?php echo $service->name ?></option>
                                    <?php } ?>
                                </select>
                                <label class="active"><?php esc_html_e('Service', 'jltoken') ?></label>
                            </div>
                            <div class="input-field col s4">
                                <select class="browser-default" name="counter_id" id="counter_id" data-error=".counter_id">
                                    <option value=""><?php esc_html_e('All Counters', 'jltoken') ?></option>
                                    <?php foreach ($counters as $counter) { ?>
                                        <option value="<?php echo $counter->id ?>" <?php echo ($counter->id == $counter_id ? 'selected' : '') ?>><?php echo $counter->name ?></option>
                                    <?php } ?>
                                </select>
                                <label class="active"><?php esc_html_e('Counter', 'jltoken') ?></label>
                            </div>
                            <div class="input-field col s4">
                                <select class="browser-default" name="user_id" id="user_id" data-error=".user_id">
                                    <option value=""><?php esc_html_e('All Users', 'jltoken') ?></option>
                                    <?php foreach (get_users() as $user) { ?>
                                        <option value="<?php echo $user->ID ?>" <?php echo ($user->ID == $user_id ? 'selected' : '') ?>><?php echo $user->user_nicename ?></option>
                                    <?php } ?>
                                </select>
                                <label class="active"><?php esc_html_e('User', 'jltoken') ?></label>
                            </div>
                        </div>
                        <div class="row">
                            <div class="input-field col s4">
                                <select class="browser-default" name="call_status_id" id="call_status_id" data-error=".call_status_id">
                                    <option value=""><?php esc_html_e('All Call Status', 'jltoken') ?></option>
                                    <?php foreach ($call_statuses as $call_status) { ?>
                                        <option value="<?php echo $call_status->id ?>" <?php echo ($call_status->id == $call_status_id ? 'selected' : '') ?>><?php echo $call_status->name ?></option>
                                    <?php } ?>
                                </select>
                                <label class="active"><?php esc_html_e('Call Status', 'jltoken') ?></label>
                            </div>
                            <div class="input-field col m5 s3">
                                <input id="starting_date" name="starting_date" type="text" data-error=".starting_date" value="<?php echo $starting_date ?>">
                                <label for="starting_date"><?php esc_html_e('Starting Date', 'jltoken') ?></label>
                            </div>
                            <div class="input-field col m5 s3">
                                <input id="ending_date" name="ending_date" type="text" value="<?php echo $ending_date ?>" data-error=".ending_date">
                                <label for="ending_date"><?php esc_html_e('Ending Date', 'jltoken') ?></label>
                            </div>
                            <div class="input-field col m2 s2">
                                <div class="input-field col s12 btn-div">
                                    <button class="btn waves-effect waves-light" id="gobtn" type="submit"><?php esc_html_e('Go', 'jltoken') ?></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php if (isset($reports)) { ?>
        <div class="col s12 report-div">
            <div class="container">
                <div class="section-data-tables">
                    <div class="row">
                        <div class="col s12 report-col">
                            <div class="card">
                                <div class="card-content">
                                    <div class="row monthly-header">
                                        <div class="col m6 s12">
                                            <div class="row">
                                                <div class="col s4"><?php esc_html_e('Waiting') ?></div>
                                                <div class="col s2"><span class="count-box waiting"><?php echo $token_count['queue'] ?></span></div>

                                                <div class="col s4"><?php esc_html_e('Serving') ?></div>
                                                <div class="col s2"><span class="count-box serving"><?php echo $token_count['serving'] ?></span></div>
                                            </div>
                                        </div>
                                        <div class="col m6 s12">
                                            <div class="row">
                                                <div class="col s4"><?php esc_html_e('No Show') ?></div>
                                                <div class="col s2"><span class="count-box no-show"><?php echo $token_count['noshow'] ?></span></div>

                                                <div class="col s4"><?php esc_html_e('Served') ?></div>
                                                <div class="col s2"><span class="count-box served"><?php echo $token_count['served'] ?></span></div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col s12">
                                            <table id="page-length-option" class="display dataTable">
                                                <thead>
                                                    <tr>
                                                        <th><?php esc_html_e('User', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Token Number', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Name', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Email', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Phone', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Service', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Counter', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Date', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Called At', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Served At', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Waiting Time', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Served Time', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Total Time', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Status', 'jltoken') ?></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php foreach ($reports as $key => $report) { ?>
                                                        <tr>
                                                            <td><?php echo $report->user_name ?></td>
                                                            <td><?php echo $report->letter . '-' . $report->number ?></td>
                                                            <td><?php echo $report->name ?></td>
                                                            <td><?php echo $report->email ?></td>
                                                            <td><?php echo $report->phone ?></td>
                                                            <td><?php echo $report->service_name ?></td>
                                                            <td><?php echo $report->counter_name ? $report->counter_name : esc_html__('NIL') ?></td>
                                                            <td><?php echo Utility::parse($report->date)->format(get_option('date_format')) ?></td>
                                                            <td><?php echo $report->called_at ? Utility::parse($report->called_at)->format(get_option('date_format') . ' ' . get_option('time_format')) : esc_html__('NIL') ?></td>
                                                            <td><?php echo $report->served_at ? Utility::parse($report->served_at)->format(get_option('date_format') . ' ' . get_option('time_format')) : esc_html__('NIL') ?></td>
                                                            <td><?php echo $report->waiting_time ? Utility::now()->today()->diffForHumans(Utility::createFromFormat('H:i:s', $report->waiting_time), true, true, 2) : esc_html__('NIL') ?></td>
                                                            <td><?php echo $report->served_time ? Utility::now()->today()->diffForHumans(Utility::createFromFormat('H:i:s', $report->served_time), true, true, 2) : esc_html__('NIL') ?></td>
                                                            <td><?php echo $report->total_time ? Utility::now()->today()->diffForHumans(Utility::createFromFormat('H:i:s', $report->total_time), true, true, 2) : esc_html__('NIL') ?></td>
                                                            <td><?php echo $report->status ? $report->status : ($report->counter_name ? esc_html__('Serving') : esc_html__('Waiting')) ?></td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
</div>