<?php

use Justlab\JLToken\Utility;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}
?>

<div id="main" class="reports">
    <div id="breadcrumbs-wrapper">
        <div class="container">
            <div class="row">
                <h5 class="breadcrumbs-title"><b><?php esc_html_e('Queue List', 'jltoken') ?></b></h5>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col s12 m12 l12 form-col">
            <div id="inline-form" class="card card card-default scrollspy">
                <div class="card-content">
                    <form id="queue_list_report_form" method="post">
                        <div class="row">
                            <div class="input-field col m5 s5">
                                <input id="starting_date" name="starting_date" type="text" data-error=".starting_date" value="<?php echo $starting_date ?>">
                                <label for="starting_date"><?php esc_html_e('Starting Date', 'jltoken') ?></label>
                            </div>
                            <div class="input-field col m5 s5">
                                <input id="ending_date" name="ending_date" type="text" value="<?php echo $ending_date ?>" data-error=".ending_date">
                                <label for="ending_date"><?php esc_html_e('Ending Date', 'jltoken') ?></label>
                            </div>
                            <div class="input-field col m2 s2">
                                <div class="input-field col s12 btn-div">
                                    <button class="btn waves-effect waves-light" id="gobtn" type="submit"><?php esc_html_e('Go', 'jltoken') ?></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php if (isset($reports)) { ?>
        <div class="col s12 report-div">
            <div class="container">
                <div class="section-data-tables">
                    <div class="row">
                        <div class="col s12 report-col">
                            <div class="card">
                                <div class="card-content">
                                    <div class="row">
                                        <div class="col s12">
                                            <table id="page-length-option" class="display dataTable">
                                                <thead>
                                                    <tr>
                                                        <th><?php esc_html_e('Service', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Date', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Token Number', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Name', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Email', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Phone', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Called', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('User', 'jltoken') ?></th>
                                                        <th><?php esc_html_e('Counter', 'jltoken') ?></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php foreach ($reports as $key => $report) { ?>
                                                        <tr>
                                                            <td><?php echo $report->service_name ?></td>
                                                            <td><?php echo Utility::parse($report->date)->format(get_option( 'date_format' )) ?></td>
                                                            <td><?php echo $report->letter . '-' . $report->number ?></td>
                                                            <td><?php echo $report->name ?></td>
                                                            <td><?php echo $report->email ?></td>
                                                            <td><?php echo $report->phone ?></td>
                                                            <td><?php $report->called == 1 ? esc_html_e('Yes') : esc_html_e('No') ?></td>
                                                            <td><?php echo $report->user_name ? $report->user_name : esc_html__('NIL') ?></td>
                                                            <td><?php echo $report->counter_name ? $report->counter_name : esc_html__('NIL') ?></td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
</div>