<?php

use Justlab\JLToken\Constant;
use Justlab\JLToken\Utility;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}
?>
<!DOCTYPE html>
<html class="loading" <?php language_attributes(); ?>>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php esc_html_e('Display', 'jltoken') ?> | JL Token</title>
    <link rel="apple-touch-icon" href="<?php echo plugins_url('assets/img/favicon.ico?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo plugins_url('assets/img/favicon.ico?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url("jltoken/assets/css/materialize.min.css") ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/style.min.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/main.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/normalize.min.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/jltoken-app.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo admin_url('load-styles.php?c=1&dir=ltr&load%5Bchunk_0%5D=dashicons&ver=' . get_bloginfo('version')) ?>">
</head>

<body id="page-layout-body" class="display-page-body vertical-layout page-header-light vertical-menu-collapsible vertical-dark-menu preload-transitions 2-columns">
    <header class="page-topbar noprint" id="header">
        <div class="navbar navbar-fixed">
            <nav class="navbar-main navbar-color nav-collapsible sideNav-lock">
                <div class="nav-wrapper">
                    <ul class="navbar-list left">
                        <li><span>JL Token</span></li>
                    </ul>
                    <ul class="navbar-list right">
                        <li class="navbar-list left"><a><b><?php echo get_bloginfo() ?></b></a></li>
                        <li class="navbar-list left"><a class="waves-effect waves-block waves-light toggle-fullscreen" href="javascript:void(0);"><i class="dashicons dashicons-fullscreen-alt"></i></a></li>
                    </ul>
                </div>
            </nav>
        </div>
    </header>

    <div id="loader-wrapper">
        <div id="loader"></div>
        <div class="loader-section section-left"></div>
        <div class="loader-section section-right"></div>
    </div>

    <div id="main" class="display-page no-print">
        <div class="wrapper" id="display-page">
            <section class="content-wrapper no-print">
                <div id="callarea" class="row">
                    <div class="col m4">
                        <div class="card-panel center-align p-0" id="side-token-display">
                            <div class="token-row">
                                <div>
                                    <span v-if="tokens[1]" class="bolder-color">{{tokens[1]?.letter}}-{{tokens[1]?.number}}</span>
                                    <span v-if="!tokens[1]" class="bolder-color"><?php esc_html_e('NIL', 'jltoken') ?></span><br>
                                    <small class="counter-name" v-if="tokens[1]" class="bolder-color" id="counter1">{{tokens[1]?.counter.name}}</small>
                                    <small class="counter-name" v-if="!tokens[1]" class="bolder-color" id="counter1"><?php esc_html_e('NIL', 'jltoken') ?></small><br>
                                    <small class="status-name served" v-if="tokens[1]?.call_status_id == <?php echo Constant::CALL_STATUS_SERVED ?>"><?php esc_html_e('Served', 'jltoken') ?></small>
                                    <small class="status-name no-show" v-if="tokens[1]?.call_status_id == <?php echo Constant::CALL_STATUS_NO_SHOW ?>"><?php esc_html_e('No Show', 'jltoken') ?></small>
                                    <small class="status-name serving" v-if="tokens[1] && tokens[1]?.call_status_id == null"><?php esc_html_e('Serving', 'jltoken') ?></small>
                                    <small class="status-name" v-if="!tokens[1]"><?php esc_html_e('NIL', 'jltoken') ?></small><br>
                                    <small class="customer-details" v-if="show_on_display && tokens[1] && tokens[1]?.queue[show_on_display]">{{tokens[1]?.queue[show_on_display]}}</small>
                                </div>
                            </div>
                            <div class="token-row">
                                <div>
                                    <span v-if="tokens[2]" class="bolder-color">{{tokens[2]?.letter}}-{{tokens[2]?.number}}</span>
                                    <span v-if="!tokens[2]" class="bolder-color"><?php esc_html_e('NIL', 'jltoken') ?></span><br>
                                    <small class="counter-name" v-if="tokens[2]" class="bolder-color" id="counter2">{{tokens[2]?.counter.name}}</small>
                                    <small class="counter-name" v-if="!tokens[2]" class="bolder-color" id="counter2"><?php esc_html_e('NIL', 'jltoken') ?></small><br>
                                    <small class="status-name served" v-if="tokens[2]?.call_status_id == <?php echo Constant::CALL_STATUS_SERVED ?>"><?php esc_html_e('Served', 'jltoken') ?></small>
                                    <small class="status-name no-show" v-if="tokens[2]?.call_status_id == <?php echo Constant::CALL_STATUS_NO_SHOW ?>"><?php esc_html_e('No Show', 'jltoken') ?></small>
                                    <small class="status-name serving" v-if="tokens[2] && tokens[2]?.call_status_id == null"><?php esc_html_e('Serving', 'jltoken') ?></small>
                                    <small class="status-name" v-if="!tokens[2]"><?php esc_html_e('NIL', 'jltoken') ?></small><br>
                                    <small class="customer-details" v-if="show_on_display && tokens[2] && tokens[2]?.queue[show_on_display]">{{tokens[2]?.queue[show_on_display]}}</small>
                                </div>
                            </div>
                            <div class="token-row">
                                <div>
                                    <span v-if="tokens[3]" class="bolder-color">{{tokens[3]?.letter}}-{{tokens[3]?.number}}</span>
                                    <span v-if="!tokens[3]" class="bolder-color"><?php esc_html_e('NIL', 'jltoken') ?></span><br>
                                    <small class="counter-name" v-if="tokens[3]" class="bolder-color" id="counter3">{{tokens[3]?.counter.name}}</small>
                                    <small class="counter-name" v-if="!tokens[3]" class="bolder-color" id="counter3"><?php esc_html_e('NIL', 'jltoken') ?></small><br>
                                    <small class="status-name served" v-if="tokens[3]?.call_status_id == <?php echo Constant::CALL_STATUS_SERVED ?>"><?php esc_html_e('Served', 'jltoken') ?></small>
                                    <small class="status-name no-show" v-if="tokens[3]?.call_status_id == <?php echo Constant::CALL_STATUS_NO_SHOW ?>"><?php esc_html_e('No Show', 'jltoken') ?></small>
                                    <small class="status-name serving" v-if="tokens[3] && tokens[3]?.call_status_id == null"><?php esc_html_e('Serving', 'jltoken') ?></small>
                                    <small class="status-name" v-if="!tokens[3]"><?php esc_html_e('NIL', 'jltoken') ?></small><br>
                                    <small class="customer-details" v-if="show_on_display && tokens[3] && tokens[3]?.queue[show_on_display]">{{tokens[3]?.queue[show_on_display]}}</small>
                                </div>
                            </div>
                            <div class="token-row">
                                <div>
                                    <span v-if="tokens[4]" class="bolder-color">{{tokens[4]?.letter}}-{{tokens[4]?.number}}</span>
                                    <span v-if="!tokens[4]" class="bolder-color"><?php esc_html_e('NIL', 'jltoken') ?></span><br>
                                    <small class="counter-name" v-if="tokens[4]" class="bolder-color" id="counter4">{{tokens[4]?.counter.name}}</small>
                                    <small class="counter-name" v-if="!tokens[4]" class="bolder-color" id="counter4"><?php esc_html_e('NIL', 'jltoken') ?></small><br>
                                    <small class="status-name served" v-if="tokens[4]?.call_status_id == <?php echo Constant::CALL_STATUS_SERVED ?>"><?php esc_html_e('Served', 'jltoken') ?></small>
                                    <small class="status-name no-show" v-if="tokens[4]?.call_status_id == <?php echo Constant::CALL_STATUS_NO_SHOW ?>"><?php esc_html_e('No Show', 'jltoken') ?></small>
                                    <small class="status-name serving" v-if="tokens[4] &&tokens[4]?.call_status_id == null"><?php esc_html_e('Serving', 'jltoken') ?></small>
                                    <small class="status-name" v-if="!tokens[4]"><?php esc_html_e('NIL', 'jltoken') ?></small><br>
                                    <small class="customer-details" v-if="show_on_display && tokens[4] && tokens[4]?.queue[show_on_display]">{{tokens[4]?.queue[show_on_display]}}</small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col m8 main-token">
                        <div class="card-panel center-align">
                            <div>
                                <div class="bolder-color token-number"><?php esc_html_e('Token Number', 'jltoken') ?></div>
                                <span v-if="tokens[0]">{{tokens[0]?.letter}}-{{tokens[0]?.number}}</span>
                                <span v-if="!tokens[0]"><?php esc_html_e('NIL', 'jltoken') ?></span>
                                <div class="status-name served" v-if="tokens[0]?.call_status_id == <?php echo Constant::CALL_STATUS_SERVED ?>"><?php esc_html_e('Served', 'jltoken') ?></div>
                                <div class="status-name no-show" v-if="tokens[0]?.call_status_id == <?php echo Constant::CALL_STATUS_NO_SHOW ?>"><?php esc_html_e('No Show', 'jltoken') ?></div>
                                <div class="status-name serving" v-if="tokens[0] && tokens[0]?.call_status_id == null"><?php esc_html_e('Serving', 'jltoken') ?></div>
                                <div class="status-name" v-if="!tokens[0]"><?php esc_html_e('NIL', 'jltoken') ?></div>
                                <div class="bolder-color proceed-to"><?php esc_html_e('Please Proceed To', 'jltoken') ?></div>
                                <div class="counter-name" v-if="tokens[0]" id="counter0">{{tokens[0]?.counter.name}}</div>
                                <div class="counter-name" v-if="!tokens[0]"><?php esc_html_e('NIL', 'jltoken') ?></div>
                                <div class="customer-details" v-if="show_on_display && tokens[0] && tokens[0]?.queue[show_on_display]">{{tokens[0]?.queue[show_on_display]}}</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row marquee-row">
                    <marquee><span style="font-size:<?php echo $settings->font_size ?>px;color:<?php echo $settings->font_color ?>"><?php echo $settings->notification ?></span></marquee>
                </div>
                <audio id="called_sound">
                    <source src="<?php echo plugins_url('assets/audio/sound.mp3?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>" type="audio/mpeg">
                </audio>
            </section>
        </div>
    </div>

    <footer class="page-footer footer footer-static navbar-border navbar-shadow noprint">
        <div class="footer-copyright">
            <div class="container">
                <span><?php esc_html_e('Powered by', 'jltoken') ?>&nbsp;<a class="company-anchor" href="https://www.justlabtech.com" target="_blank">Justlab Technologies</a>.&nbsp;<?php esc_html_e('All rights reserved', 'jltoken') ?>.</span>
                <span class="version-span"><?php esc_html_e('Version', 'jltoken') ?> <?php echo JLTOKEN_VERSION ?></span>
            </div>
        </div>
    </footer>

    <script>
        window.JLToken = {
            get_tokens_for_display_url: "<?php echo $file ?>",
            date_for_display: "<?php echo Utility::now()->toDateString() ?>",
            voice_type: "<?php echo $settings->voice->voice ?>",
            voice_content_one: "<?php echo $settings->voice->token_trans ?>",
            voice_content_two: "<?php echo $settings->voice->please_proceed_to_trans ?>",
            audioEl: document.getElementById('called_sound'),
            settings: JSON.parse('<?php echo json_encode($settings) ?>'),
        }
    </script>
    <script src="<?php echo plugins_url('assets/js/jquery.min.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script src="<?php echo plugins_url('assets/js/vendor.min.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script src="<?php echo plugins_url('assets/js/jltoken.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script src="<?php echo plugins_url('assets/js/jltoken-app.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script src="<?php echo plugins_url('assets/js/voice.js?key=WfWmvaX0&ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
</body>

</html>