<?php

use Justlab\JLToken\Flash;
use Justlab\JLToken\Repositories\TokenRepository;
use Justlab\JLToken\Utility;

if (!function_exists('add_action') || !defined('ABSPATH')) {
    echo "Hi there! I'm just a plugin, not much I can do when called directly.";
    exit;
}
?>

<!DOCTYPE html>
<html class="loading" <?php language_attributes(); ?>>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php esc_html_e('Kiosk', 'jltoken') ?> | JL Token</title>
    <link rel="apple-touch-icon" href="<?php echo plugins_url('assets/img/favicon.ico?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo plugins_url('assets/img/favicon.ico?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/materialize.min.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/style.min.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/main.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/normalize.min.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo plugins_url('assets/css/jltoken-app.css?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo admin_url('load-styles.php?c=1&dir=ltr&load%5Bchunk_0%5D=dashicons&ver=' . get_bloginfo('version')) ?>">
</head>

<body id="page-layout-body" class="kiosk-page-body vertical-layout page-header-light vertical-menu-collapsible vertical-dark-menu preload-transitions 2-columns ">
    <header class="page-topbar noprint" id="header">
        <div class="navbar navbar-fixed">
            <nav class="navbar-main navbar-color nav-collapsible sideNav-lock">
                <div class="nav-wrapper">
                    <ul class="navbar-list left">
                        <li><span>JL Token</span></li>
                    </ul>
                    <ul class="navbar-list right">
                        <li class="navbar-list left"><a><b><?php echo get_bloginfo() ?></b></a></li>
                        <li class="navbar-list left"><a class="waves-effect waves-block waves-light toggle-fullscreen" href="javascript:void(0);"><i class="dashicons dashicons-fullscreen-alt"></i></a></li>
                    </ul>
                </div>

            </nav>
        </div>
    </header>

    <div id="loader-wrapper">
        <div id="loader"></div>
        <div class="loader-section section-left"></div>
        <div class="loader-section section-right"></div>
    </div>

    <div id="main" class="kiosk-page noprint">
        <div class="wrapper">
            <section class="content-wrapper no-print">
                <div class="container no-print">
                    <div class="row">
                        <div class="col s12">
                            <div class="card" id="service-btn-container">
                                <span class="card-title"><?php esc_html_e('Click one service to Issue Token', 'jltoken') ?></span>
                                <div class="divider"></div>
                                <?php foreach ($services as $service) { ?>
                                    <button class="btn btn-large btn-queue waves-effect waves-light mb-1" type="button" data-service='<?php echo json_encode($service) ?>'><?php echo $service->name ?></button>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>

    <div id="modal1" class="modal modal-fixed-footer">
        <form id="details_form">
            <div class="modal-content">
                <div id="inline-form">
                    <div class="card-content">
                        <div class="row">
                            <div class="input-field col s4" id="name_tab">
                                <input id="name" name="name" type="text" data-error=".name">
                                <label for="name"><?php esc_html_e('Name', 'jltoken') ?></label>
                                <div class="name"></div>
                            </div>
                            <div class="input-field col s4" id="phone_tab">
                                <input id="phone" name="phone" type="number" data-error=".phone">
                                <label for="phone"><?php esc_html_e('Phone', 'jltoken') ?></label>
                                <div class="phone"></div>
                            </div>
                            <div class="input-field col s4" id="email_tab">
                                <input id="email" name="email" type="email" data-error=".email">
                                <label for="email"><?php esc_html_e('Email', 'jltoken') ?></label>
                                <div class="email"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button id="modal_button" type="submit" class="modal-action waves-effect waves-green btn-flat"><?php esc_html_e('Submit', 'jltoken') ?></button>
            </div>
        <form>
    </div>

    <footer class="page-footer footer footer-static navbar-border navbar-shadow noprint">
        <div class="footer-copyright">
            <div class="container">
                <span><?php esc_html_e('Powered by', 'jltoken') ?>&nbsp;<a class="company-anchor" href="https://www.justlabtech.com" target="_blank">Justlab Technologies</a>.&nbsp;<?php esc_html_e('All rights reserved', 'jltoken') ?>.</span>
                <span class="version-span"><?php esc_html_e('Version', 'jltoken') ?> <?php echo JLTOKEN_VERSION ?></span>
            </div>
        </div>
    </footer>

    <div id="printarea" class="printarea"></div>

    <script src="<?php echo plugins_url('assets/js/jquery.min.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script src="<?php echo plugins_url('assets/js/vendor.min.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script src="<?php echo plugins_url('assets/js/jltoken.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script src="<?php echo plugins_url('assets/js/jltoken-app.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script src="<?php echo plugins_url('assets/js/validate.min.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
    <script>
        window.JLToken = {
            url: "<?php echo admin_url('admin-ajax.php') ?>",
            create_token_url: "jltoken_create_token|<?php echo wp_create_nonce('jltoken_create_token') ?>",
            date: "<?php echo (Flash::has('queue') ? (Utility::dateToCarbon(Flash::get('queue')->created_at))->format(get_option('date_format')) : '') ?>",
            customer_waiting_label: "<?php esc_html_e('Customer Waiting', 'jltoken') ?>",
            turn_label: "<?php esc_html_e('Please wait for your turn', 'jltoken') ?>",
            bloginfo: "<?php echo get_bloginfo() ?>",
            something: "<?php esc_html_e('Something went wrong. Please try again', 'jltoken') ?>",
        }
    </script>
    <script src="<?php echo plugins_url('assets/js/kiosk.js?ver=' . JLTOKEN_VERSION, JLTOKEN__PLUGIN_URL) ?>"></script>
</body>

</html>